// priority: 0

// Visit the wiki for more info - https://kubejs.com/

ServerEvents.recipes(event => {
    event.shaped(
        "kubejs:buckram",
        [
            "ab",
            "ba",
        ],
        {
            a: "kubejs:cotton_seed",
            b: "minecraft:string",
        },
    );
    event.shaped(
        Item.of("minecraft:string", 3),
        [
            "aaa",
        ],
        {
            a: "kubejs:cotton_seed",
        },
    );
    event.shaped(
        "minecraft:white_wool",
        [
            "aa",
            "aa",
        ],
        {
            a: "kubejs:cotton_seed",
        },
    );
    event.replaceInput({input: "minecraft:leather"}, "minecraft:leather", "#forge:leather");
    event.recipes.create.haunting('minecraft:leather', 'kubejs:buckram');
});

ServerEvents.tags('item', event => {
    event.remove("forge:seeds", "kubejs:cotton_seed");
    event.add("forge:leather", "kubejs:buckram");
});